Subject: Re: PDP-8 emulators

From: [email-masked] (Robert Ankeney)
Date: 1 Jul 1993 17:08:26 GMT

Years ago I wrote a PDP-8 simulator in Pascal on a PDP-11 running RSTS/E.
I simulated an RF08 and had it running OS/8.  Speed was surprisingly good!
Maybe 10-20 times slower than the 8 itself.  I implemented the EAE set, partly
by using some in-line assembler code for speed.  Sadly, I don't think I have
the source around anymore.  The best part was the instruction decoding, which
was fast.
     Anyway, it can be done (of course), and on something with a bit of zip
should run noticably faster than an 8.

     Robert

--
----------------------------------------------------------------------
Robert Ankeney                 | "Yield and overcome.                |
...!tektronix!reed!bob         |  Bend and be straight.              |
[email-masked]     |  Empty and be full."    - Lao Tzu   |